import { ref, onMounted } from 'vue'
import { defineStore } from 'pinia'
import { getUserInfo } from '../api/user/user'
export const useUserStore = defineStore('useUserStore', () => {
  //用户头像
  const avatar = ref('')
  const username = ref('')
  //手机号
  const phone = ref('')
  //备注
  const remark = ref('')
  //获取用户信息
  const UserInfo = async() => {
    let res=  await getUserInfo();
    console.log("用户信息",res)
    if(res.code==200){
      avatar.value=res.data.avatar;
      username.value=res.data.username;
      phone.value=res.data.phone;
      remark.value=res.data.remark;
    }
  }
  onMounted(()=>{
    UserInfo();
  })
  return { avatar, username,phone,remark,UserInfo}
})
